Skip to Content
Torque Lift Docs
Account

Get your account

GET
/v1/account

The tenant behind this key: timezone, repo, tracking plan SHA, consent, pilot day.

Authorization

HTTPBearer
headerAuthorizationBearer <token>

A secret key, tl_live_...

Header Parameters

Torque-Tenant?|

An operator key's tenant to read; refused with a tenant's key.

Torque-Version?string|null

Response Body

Successful Response

application/json
  1. response
object?Object
Default"account"
id*Id

The tenant ID.

timezone*Timezone
repo*string|null
plan_sha*string|null
experiments_enabled*Experiments Enabled
history_import*array<string>
consent*|null
pilot*|null
Example Request
curl -X GET 'https://api.torquelift.ai/v1/account'
Example Response
{  "object": "account",  "id": "string",  "timezone": "string",  "repo": "string",  "plan_sha": "string",  "experiments_enabled": true,  "history_import": [    "string"  ],  "consent": {    "attested_by": "string",    "since": "string"  },  "pilot": {    "kickoff": "string",    "day": 0,    "length_days": 0  }}